#include <bits/stdc++.h>
using namespace std;
int n,m,a,b,t,u,v;
int main(){
    scanf("%d%d", &n, &m);
    for(int i=1;i<=m;i++){
        scanf("%d%d%d", &a, &b, &t);
    }
    scanf("%d%d", &u, &v);

    cout<<-1<<endl;

return 0;}